Subject: RE: [AVT] Support for wideband audio in G.722.1

From: "Even, Roni" <[email-masked]>
Date: Mon, 20 Jun 2005 11:24:18 +0300

Colin,
Thanks, I will add it and submit a new revision.
Roni 

-----Original Message-----
From: Colin Perkins [mailto:[email-masked]] 
Sent: Monday, June 20, 2005 11:14 AM
To: Even, Roni
Cc: [email-masked]
Subject: Re: [AVT] Support for wideband audio in G.722.1

Roni,

On 19 Jun 2005, at 12:23, Even, Roni wrote:
> In section 3 second parahraph it says
>
> "The encoding and decoding algorithm can change the bit rate at any
>    20ms frame boundary, but no bit rate change notification is 
> provided
>    in-band with the bit stream.  Therefore, a separate out-of-band
>    method is REQUIRED to indicate the bit rate (see section 6 for an
>    example of signaling bit rate information using SDP).  An 
> application
>    MAY switch bit rates from packet to packet by defining two payload
>    type values and switching between them."
>
> The example in section 5.1 define two payload types.
>
> I am not sure I mentioned anywhere that the bit rate can change using 
> a single payload type or did I make a mistake some place.

RFC 3047 has "For the payload format specified here, the bit rate MUST
remain constant for a particular payload type value" in section 3, yet
this has been removed in the bis document. This led me to believe that
it allowed a single payload type to change rates. If this is not the
case, I suggest that sentence is added back.

Colin

_______________________________________________
Audio/Video Transport Working Group
[email-masked]
https://www1.ietf.org/mailman/listinfo/avt